> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Run a time-based automation once
> Performs one execution of the specified time-based automation. Execution takes place immediately.
Run once does not change the status or schedule of the automation.
You can only use this method to run an existing time-based automation.
## OpenAPI
````json GET /automation/runOnce
{
"openapi": "3.0.4",
"info": {
"title": "Engage public API",
"version": "1"
},
"servers": [
{
"url": "https://your-engage-domain.com/api/rest"
}
],
"tags": [
{
"name": "Address Attributes"
},
{
"name": "Async"
},
{
"name": "Audit Log"
},
{
"name": "Automation"
},
{
"name": "Blacklist"
},
{
"name": "CMS (legacy)"
},
{
"name": "CMS Blocks"
},
{
"name": "CMS Frameworks"
},
{
"name": "CMS Messages"
},
{
"name": "CMS Templates"
},
{
"name": "Contact"
},
{
"name": "Content"
},
{
"name": "Coupon"
},
{
"name": "Draft Message"
},
{
"name": "Ecommerce"
},
{
"name": "Group"
},
{
"name": "Group Attributes"
},
{
"name": "Landing Page"
},
{
"name": "Member Attributes"
},
{
"name": "Membership"
},
{
"name": "Message"
},
{
"name": "Meta"
},
{
"name": "Mobile Push"
},
{
"name": "Prepared Message"
},
{
"name": "Process"
},
{
"name": "Profile Attributes"
},
{
"name": "Related Data"
},
{
"name": "Segmentation"
},
{
"name": "System"
},
{
"name": "System User"
},
{
"name": "Usage Statistics"
},
{
"name": "User"
},
{
"name": "Whiteboard"
}
],
"paths": {
"/automation/runOnce": {
"get": {
"tags": [
"Automation"
],
"summary": "Run a time-based automation once",
"description": "Performs one execution of the specified time-based automation. Execution takes place immediately.
Run once does not change the status or schedule of the automation.
You can only use this method to run an existing time-based automation.",
"operationId": "runOnce",
"parameters": [
{
"name": "automationId",
"in": "query",
"description": "ID of the automation",
"required": true,
"schema": {
"type": "integer",
"format": "int64"
}
}
],
"responses": {
"200": {
"description": "Example response: {
\"processId\": null,
\"processingType\": \"SYNC\"
}",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RunOnceResult"
}
}
}
},
"400": {
"description": "",
"content": {
"application/json": {}
}
}
}
}
}
},
"components": {
"schemas": {
"RunOnceResult": {
"type": "object",
"properties": {
"processId": {
"type": "integer",
"format": "int64"
},
"processingType": {
"enum": [
"ASYNC",
"SYNC"
],
"type": "string"
}
}
}
}
}
}
````